LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XContainer Interface Referencepublished

supports quick access to the information if a container currently contains elements. More...

`import"XContainer.idl";`

Inheritance diagram for XContainer:

## Public Member Functions
void | addContainerListener ([in] com::sun::star::container::XContainerListener xListener)
| adds the specified listener to receive events when elements are inserted or removed. More...
void | removeContainerListener ([in] com::sun::star::container::XContainerListener xListener)
| removes the specified listener so it does not receive any events from this container. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

supports quick access to the information if a container currently contains elements.

The XContainer interface is provided for containers which need to broadcast changes within the container; that means the actions of adding or removing elements are broadcast to the listeners.

This can be useful for UI to enable/disable some functions without actually accessing the data.

See also
  XContent
  XIndexAccess
  XNameAccess
  XEnumerationAccess

## Member Function Documentation

## ◆ addContainerListener()

void addContainerListener | ( | [in] com::sun::star::container::XContainerListener | xListener | ) |

adds the specified listener to receive events when elements are inserted or removed.

It is suggested to allow multiple registration of the same listener, thus for each time a listener is added, it has to be removed.

See also
  XContainerListener

## ◆ removeContainerListener()

void removeContainerListener | ( | [in] com::sun::star::container::XContainerListener | xListener | ) |

removes the specified listener so it does not receive any events from this container.

It is suggested to allow multiple registration of the same listener, thus for each time a listener is added, it has to be removed.

See also
  XContainerListener

The documentation for this interface was generated from the following file:

- com/sun/star/container/XContainer.idl